Kernel panic - not syncing - Attempted to kill init

Bug #1581761 reported by Darek on 2016-05-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
lvm (Ubuntu)
Undecided
Unassigned

Bug Description

Suddenly I can't boot as I receive 'kernel panic - not syncing - Attempted to kill init'. I tried to use previous kernel, then reinstall kernels but all that didn't help me. I have luks encrypted partition which contains multiple lvm with ext4 volumes. This was working since 14.04 was released so this not standard configuration should not cause this issue.
I am able to run live cd, then decrypt luks partition and mount volumes and chroot. All seems to be ok. I fsck lvm and all is ok.
I found similar issue https://bugs.launchpad.net/ubuntu/+source/cryptsetup/+bug/1273261 which suggest to try udev_settle. This didn't helped. I even entered sleep 5 (thus "sleeping for 5 secs" message on the stacktrace in the middle) but this didn't solve the issue. Maybe I enter this hack too early in the script?

No more idea... so mayday, mayday...
I attached photo of the stacktrace and report of 'apport-cli linux-generic'.

Darek (ddarek-ch) wrote :
Darek (ddarek-ch) wrote :
Darek (ddarek-ch) wrote :

root@lubuntu:/# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.4 LTS"

Darek (ddarek-ch) on 2016-05-14
description: updated
Darek (ddarek-ch) on 2016-05-14
affects: launchpad → ubuntu
Paul White (paulw2u) on 2016-05-14
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1581761

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Darek (ddarek-ch) wrote :

I can't run apport-collect. Maybe because I'm chrooted?

root@lubuntu:/# sudo apt-get install python-apport
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-apport is already the newest version.
The following packages were automatically installed and are no longer required:
  linux-headers-3.13.0-24 linux-headers-3.13.0-24-generic
  linux-image-3.13.0-24-generic linux-image-extra-3.13.0-24-generic
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
root@lubuntu:/# apport-collect 1581761
You need to run 'sudo apt-get install python-apport' for apport-collect to work.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Darek (ddarek-ch) wrote :

After multiple update-initramfs and kernel reinstalls instead of message 'fstype not found' I have 'can't open /dev/mapper/ubuntu-root no such file'. However all the rest of the stacktrace seems to be similar as already attached photo of the stacktrace. I check if I have installed lvm2 and it is. Installed 3.16.x kernel (or 3.19.x) and situation didn't changed.

Joseph Salisbury (jsalisbury) wrote :

So no prior kernel version boots? Can you at least mount your disk after you boot with the LiveCD?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.6 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-yakkety

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-da-key
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Darek (ddarek-ch) wrote :

No prior kernel version boots. Yes, I can mount disks via LiveCD.

I tested the lates kernel from here http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-yakkety. It don't solve my problem. I attached new photo with the stacktrace from that kernel.

I think that kernels are ok as I didn't had such issues in the past. Maybe my OS has broke in some place? In the stacktrace there's line stating that ubuntu-root is not existing. It does exist. I am able to mount it via liveCd. So maybe it's some timing issue? Maybe LVM won't initialize so fast as script would like to? In general I was updating ubuntu once or two per month so in general I was using every kernel ubuntu has released (I use 14.04 lts). I don't have feeling that this happened right after update.

I do suspend my computer (to ram) on daily basis from many years but this rather could not broke my OS(?).

tags: added: kernel-bug-exists-upstream
Darek (ddarek-ch) wrote :

Sorry for typo. I mean previous kernel versions didn't boot also.

Joseph Salisbury (jsalisbury) wrote :

Looking at the stack trace, this could be an lvm bug. I'll add that bug task.

Darek (ddarek-ch) wrote :

I doubt lvm was updated in last 2 weeks.

Darek (ddarek-ch) wrote :
Download full text (8.2 KiB)

Help. I can't help myself. I've read many similar issues but without luck. I did memtest, autoclean, I even enabled only single core just to be sure it's not some way of concurrency issue.

Right now I've installed 3.13.0-83 kernel as I believe it was the one I've used without any problems before all this troubles.

Below is my apt history which can be treated like suspect as it was last installs before problem appeared. However I didn't find any critical package here (like lvm, luks) but maybe one of you will find something strange:

Commandline: apt-get install --reinstall skype
Install: skype:amd64 (4.2.0.11-0ubuntu0.12.04.2), libdbusmenu-qt2:i386 (0.9.3+14.04.20140314-0ubuntu1, automatic), skype-bin:i386 (4.2.0.11-0ubuntu0.12.04.2,
 automatic), sni-qt:i386 (0.2.6-0ubuntu1, automatic)
End-Date: 2016-05-09 19:35:39

Start-Date: 2016-05-09 19:47:41
Commandline: apt-get install --reinstall libgl1-mesa-glx:i386
Reinstall: libgl1-mesa-glx:amd64 (10.1.3-0ubuntu0.6), libgl1-mesa-glx:i386 (10.1.3-0ubuntu0.6)
End-Date: 2016-05-09 19:47:44

Start-Date: 2016-05-09 19:57:51
Commandline: apt-get purge skype
Purge: skype:amd64 (4.2.0.11-0ubuntu0.12.04.2)
End-Date: 2016-05-09 19:57:52

Start-Date: 2016-05-10 19:19:59
Commandline: apt-get -y purge linux-headers-3.13.0-83 linux-headers-3.13.0-83-generic linux-image-3.13.0-83-generic linux-image-extra-3.13.0-83-generic
Purge: linux-image-extra-3.13.0-83-generic:amd64 (3.13.0-83.127), linux-image-3.13.0-83-generic:amd64 (3.13.0-83.127), linux-headers-3.13.0-83-generic:amd64 (3.13.0-83.127), linux-headers-3.13.0-83:amd64 (3.13.0-83.127)
End-Date: 2016-05-10 19:20:54

Start-Date: 2016-05-10 19:28:47
Commandline: apt-get dist-upgrade -y
Install: linux-image-extra-3.13.0-86-generic:amd64 (3.13.0-86.130, automatic), linux-image-3.13.0-86-generic:amd64 (3.13.0-86.130, automatic), linux-headers-3.13.0-86:amd64 (3.13.0-86.130, automatic), linux-headers-3.13.0-86-generic:amd64 (3.13.0-86.130, automatic)
Upgrade: linux-headers-generic:amd64 (3.13.0.85.91, 3.13.0.86.92), liblcms2-2:amd64 (2.5-0ubuntu4, 2.5-0ubuntu4.1), python-samba:amd64 (4.3.8+dfsg-0ubuntu0.14.04.2, 4.3.9+dfsg-0ubuntu0.14.04.1), openssh-server:amd64 (6.6p1-2ubuntu2.6, 6.6p1-2ubuntu2.7), openssh-sftp-server:amd64 (6.6p1-2ubuntu2.6, 6.6p1-2ubuntu2.7), libtevent0:amd64 (0.9.26-0ubuntu0.14.04.1, 0.9.28-0ubuntu0.14.04.1), openjdk-7-jdk:amd64 (7u95-2.6.4-0ubuntu0.14.04.2, 7u101-2.6.6-0ubuntu0.14.04.1), klibc-utils:amd64 (2.0.3-0ubuntu1, 2.0.3-0ubuntu1.14.04.1), openjdk-7-jre-headless:amd64 (7u95-2.6.4-0ubuntu0.14.04.2, 7u101-2.6.6-0ubuntu0.14.04.1), samba-common-bin:amd64 (4.3.8+dfsg-0ubuntu0.14.04.2, 4.3.9+dfsg-0ubuntu0.14.04.1), ssh:amd64 (6.6p1-2ubuntu2.6, 6.6p1-2ubuntu2.7), samba-libs:amd64 (4.3.8+dfsg-0ubuntu0.14.04.2, 4.3.9+dfsg-0ubuntu0.14.04.1), openssh-client:amd64 (6.6p1-2ubuntu2.6, 6.6p1-2ubuntu2.7), openjdk-7-jre:amd64 (7u95-2.6.4-0ubuntu0.14.04.2, 7u101-2.6.6-0ubuntu0.14.04.1), openjdk-7-source:amd64 (7u95-2.6.4-0ubuntu0.14.04.2, 7u101-2.6.6-0ubuntu0.14.04.1), libklibc:amd64 (2.0.3-0ubuntu1, 2.0.3-0ubuntu1.14.04.1), icedtea-7-jre-jamvm:amd64 (7u95-2.6.4-0ubuntu0.14.04.2, 7u101-2.6.6-0ubuntu0.14.04.1), linux-doc:amd64 (3.13.0-85.129, 3.1...

Read more...

Darek (ddarek-ch) wrote :

I think it was similar to https://bugs.launchpad.net/ubuntu/+source/cryptsetup/+bug/1273261 but that seems to be marked as fixed.

It's 15 days I can't start my Linux :( Can anyone help me?

Yesterday I made those steps (via chroot):
apt-get autoclean
apt-get clean
apt-get update
apt-get upgrade
apt-get dist-upgrade
apt-get -f install
dpkg --configure -a
apt-get install linux-generic (3.13.0-86-generic was installed)
update-initramfs.distrib -k all -c
update-grub2

I can't still boot but I've got little different stacktrace. I attach photo of this stacktrace.

More over I get my backup and verified if there were changes in /etc but there were none that I could suspect for giving me this issue. In past I had many kernel panics... but then usually update-initramfs -k all -c solve the problem. However this issue is helpless.

Anyone please? 15 days without computer is like a year. I don't even have a hint what else I can do.

Darek (ddarek-ch) wrote :

Photo of the stacktrace from 3.13.0-86-generic kernel

Darek (ddarek-ch) wrote :
Darek (ddarek-ch) wrote :
Darek (ddarek-ch) wrote :
Darek (ddarek-ch) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers